Movimientos sin centro de costo
curl --request GET \
--url https://api.filexpress.app/api/external/accounting/reports/movements-without-cost-center \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/accounting/reports/movements-without-cost-center', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/accounting/reports/movements-without-cost-center"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/accounting/reports/movements-without-cost-center",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"rows": [
{
"journal_entry_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"entry_code": "DIA-2026-10-0042",
"entry_date": "2026-10-05",
"status": "PROCESADA",
"description": "Compra de papelería",
"detail_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"account_code": "6102",
"account_name": "Papelería",
"policy": "required",
"debit": 100,
"credit": 0,
"reference_detail": "Papelería"
}
],
"by_account": [
{
"account_code": "6102",
"account_name": "Papelería",
"policy": "required",
"lines": 1,
"debit": 100,
"credit": 0
}
],
"total_lines": 1
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Not found."
}{
"status": false,
"message": "Validation errors",
"errors": {
"start_date": [
"The start date field is required."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Movimientos sin centro de costo
Líneas de partida sin centro en cuentas con política optional o required, para corregirlas antes del cierre. Incluye borradores salvo que se filtre por status.
Permiso requerido: accounting.reports
GET
/
accounting
/
reports
/
movements-without-cost-center
Movimientos sin centro de costo
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Query Parameters
Fecha inicial (YYYY-MM-DD).
Fecha final (YYYY-MM-DD), mayor o igual que start_date.
Estado de las partidas (por defecto all = borradores y procesadas).
Available options:
all, BORRADOR, PROCESADA Opcional: limita a una sucursal.